Package org.gdal.gdal

## Class RasterAttributeTable

- java.lang.Object
- - org.gdal.gdal.RasterAttributeTable

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class RasterAttributeTable
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RasterAttributeTable​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `ChangesAreWrittenToFile​()` |
    `java.lang.Object` | `clone​()` |
    `RasterAttributeTable` | `Clone​()` |
    `int` | `CreateColumn​(java.lang.String pszName, int eType, int eUsage)` |
    `void` | `delete​()` |
    `void` | `DumpReadable​()` |
    `int` | `GetColOfUsage​(int eUsage)` |
    `int` | `GetColumnCount​()` |
    `boolean` | `GetLinearBinning​(double[] pdfRow0Min, double[] pdfBinSize)` |
    `java.lang.String` | `GetNameOfCol​(int iCol)` |
    `int` | `GetRowCount​()` |
    `int` | `GetRowOfValue​(double dfValue)` |
    `int` | `GetTableType​()` |
    `int` | `GetTypeOfCol​(int iCol)` |
    `int` | `GetUsageOfCol​(int iCol)` |
    `double` | `GetValueAsDouble​(int iRow, int iCol)` |
    `int` | `GetValueAsInt​(int iRow, int iCol)` |
    `java.lang.String` | `GetValueAsString​(int iRow, int iCol)` |
    `int` | `SetLinearBinning​(double dfRow0Min, double dfBinSize)` |
    `void` | `SetRowCount​(int nCount)` |
    `void` | `SetTableType​(int eTableType)` |
    `void` | `SetValueAsDouble​(int iRow, int iCol, double dfValue)` |
    `void` | `SetValueAsInt​(int iRow, int iCol, int nValue)` |
    `void` | `SetValueAsString​(int iRow, int iCol, java.lang.String pszValue)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RasterAttributeTable

          public RasterAttributeTable​()

  - ### Method Detail

    - #### delete

          public void delete​()

    - #### clone

          public java.lang.Object clone​()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### Clone

          public RasterAttributeTable Clone​()

    - #### GetColumnCount

          public int GetColumnCount​()

    - #### GetNameOfCol

          public java.lang.String GetNameOfCol​(int iCol)

    - #### GetUsageOfCol

          public int GetUsageOfCol​(int iCol)

    - #### GetTypeOfCol

          public int GetTypeOfCol​(int iCol)

    - #### GetColOfUsage

          public int GetColOfUsage​(int eUsage)

    - #### GetRowCount

          public int GetRowCount​()

    - #### GetValueAsString

          public java.lang.String GetValueAsString​(int iRow,
                                                   int iCol)

    - #### GetValueAsInt

          public int GetValueAsInt​(int iRow,
                                   int iCol)

    - #### GetValueAsDouble

          public double GetValueAsDouble​(int iRow,
                                         int iCol)

    - #### SetValueAsString

          public void SetValueAsString​(int iRow,
                                       int iCol,
                                       java.lang.String pszValue)

    - #### SetValueAsInt

          public void SetValueAsInt​(int iRow,
                                    int iCol,
                                    int nValue)

    - #### SetValueAsDouble

          public void SetValueAsDouble​(int iRow,
                                       int iCol,
                                       double dfValue)

    - #### SetRowCount

          public void SetRowCount​(int nCount)

    - #### CreateColumn

          public int CreateColumn​(java.lang.String pszName,
                                  int eType,
                                  int eUsage)

    - #### GetLinearBinning

          public boolean GetLinearBinning​(double[] pdfRow0Min,
                                          double[] pdfBinSize)

    - #### SetLinearBinning

          public int SetLinearBinning​(double dfRow0Min,
                                      double dfBinSize)

    - #### GetRowOfValue

          public int GetRowOfValue​(double dfValue)

    - #### ChangesAreWrittenToFile

          public int ChangesAreWrittenToFile​()

    - #### DumpReadable

          public void DumpReadable​()

    - #### SetTableType

          public void SetTableType​(int eTableType)

    - #### GetTableType

          public int GetTableType​()